Bug 1197893 - cfortran.h is non-free
Summary: cfortran.h is non-free
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: netcdf
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1197903
TreeView+ depends on / blocked
 
Reported: 2015-03-02 21:51 UTC by Dave Love
Modified: 2015-09-19 22:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1197903 (view as bug list)
Environment:
Last Closed: 2015-09-19 22:41:24 UTC


Attachments (Terms of Use)

Description Dave Love 2015-03-02 21:51:33 UTC
Description of problem:

I discovered the source contains cfortran.h (in the fortran directory).  It's non-free and distributed without the required notice anyway.
See the end of http://www-zeus.desy.de/~burow/cfortran/cfortran.html

Version-Release number of selected component (if applicable):
netcdf-4.1.1-3

Comment 1 Orion Poplawski 2015-03-02 23:02:19 UTC
Hmm, this is interesting.  cfortran.h has:

THIS FILE IS PROPERTY OF BURKHARD BUROW. IF YOU ARE USING THIS FILE YOU
SHOULD ALSO HAVE ACCESS TO CFORTRAN.DOC WHICH PROVIDES TERMS FOR USING,
MODIFYING, COPYING AND DISTRIBUTING THE CFORTRAN.H PACKAGE.


However, the cfortran.doc http://www-zeus.desy.de/~burow/cfortran/cfortran.doc file has:

THIS PACKAGE, I.E. CFORTRAN.H, THIS DOCUMENT, AND THE CFORTRAN.H EXAMPLE
PROGRAMS ARE PROPERTY OF THE AUTHOR WHO RESERVES ALL RIGHTS. THIS PACKAGE AND
THE CODE IT PRODUCES MAY BE FREELY DISTRIBUTED WITHOUT FEES, SUBJECT TO THE
FOLLOWING RESTRICTIONS:
- YOU MUST ACCOMPANY ANY COPIES OR DISTRIBUTION WITH THIS (UNALTERED) NOTICE.
- YOU MAY NOT RECEIVE MONEY FOR THE DISTRIBUTION OR FOR ITS MEDIA 
  (E.G. TAPE, DISK, COMPUTER, PAPER.)
- YOU MAY NOT PREVENT OTHERS FROM COPYING IT FREELY.
- YOU MAY NOT DISTRIBUTE MODIFIED VERSIONS WITHOUT CLEARLY DOCUMENTING YOUR
  CHANGES AND NOTIFYING THE AUTHOR.
- YOU MAY NOT MISREPRESENTED THE ORIGIN OF THIS SOFTWARE, EITHER BY EXPLICIT
  CLAIM OR BY OMISSION.

THE INTENT OF THE ABOVE TERMS IS TO ENSURE THAT THE CFORTRAN.H PACKAGE NOT BE
USED FOR PROFIT MAKING ACTIVITIES UNLESS SOME ROYALTY ARRANGEMENT IS ENTERED
INTO WITH ITS AUTHOR.
              
THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER
EXPRESSED OR IMPLIED. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
SOFTWARE IS WITH YOU. SHOULD THE SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE COST
OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. THE AUTHOR IS NOT RESPONSIBLE
FOR ANY SUPPORT OR SERVICE OF THE CFORTRAN.H PACKAGE.


So this does appear to be forbidden in Fedora.  Tom - do you concur?

This is unfortunate as I believe this will mean having to drop the fortran bindings to netcdf from Fedora/EPEL.

Comment 2 Dave Love 2015-03-03 11:02:52 UTC
I realized that it must be a problem for cernlib etc. too, and I thought Debian
distributed that stuff.  I check and found a separate package with the copyright file
http://metadata.ftp-master.debian.org/changelogs//main/c/cfortran/cfortran_4.4-14_copyright
so I think we're OK providing that's included and LGPL is compatible with
the NetCDF licence in this case, i.e. not as a separate library.  It looks so,
and I guess there's enough non-prototype code included from cfortran.h
that the result should be LGPL.

[This will be the same for root and anything similar but I don't have time to
check that right now.  I wonder if there's some mechanical way of finding uses
of cfortran.h.]

Comment 3 Orion Poplawski 2015-03-09 18:57:38 UTC
LGPL actually does seem to be problematic for static usage.  Burkhard has agreed to license as MPL2+ as well.  Hopefully will have a github page up soon with updated license.

Comment 4 Dave Love 2015-03-10 11:14:41 UTC
(In reply to Orion Poplawski from comment #3)
> LGPL actually does seem to be problematic for static usage.

I don't understand why, but if so, there are quite a few LGPL -static
packages which will be a problem (including cernlib, which I guess is the
canonical source of cfortran.h).

Comment 5 Tom "spot" Callaway 2015-03-30 20:05:43 UTC
Since LGPL (and maybe MPL) are options here, this isn't a legal issue really. Lifting FE-Legal.


Note You need to log in before you can comment on or make changes to this bug.